* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

a {
  text-decoration: none;
}

:root {
  --A: #FFF8F3;
  --B: #F7E7DC;
  --C: #405D72;
  --D: #758694;
}

body {
  background-color: var(--A);
  color: var(--C);
}

@font-face {
  font-family: popR;
  src: url('./fonts/Poppins-Regular.ttf');
}

@font-face {
  font-family: popM;
  src: url('./fonts/Poppins-Medium.ttf');
}

@font-face {
  font-family: popL;
  src: url('./fonts/Poppins-Light.ttf');
}

@font-face {
  font-family: basBold;
  src: url('./fonts/Basilia-Bol.ttf');
}

@font-face {
  font-family: basReg;
  src: url('./fonts/Basilia-Reg.ttf');
}



.logo {
  font-family: basReg;
  font-size: 25px;
}

main {
  overflow: hidden;
}

header {
  padding: 40px;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  position: fixed;
  width: 100%;
  background-color: var(--B);
  z-index: 700;
  border-bottom: 2px solid var(--C);
  border-top: 2px solid var(--C);
}

nav {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  min-height: 50vh;
  height: fit-content;
  background-color: var(--B);
  z-index: 300;
  gap: 40px;
  position: fixed;
  width: 100%;
  margin-top: 80px;
  border-bottom: 2px solid var(--C);
  padding: 30px 0 30px 0;
}

nav i {
  font-size: 20px;
  position: absolute;
  top: 40px;
  right: 40px;
}

nav a {
  font-size: 20px;
  gap: 40px;
  color: var(--C);
  font-family: popL;
  letter-spacing: 3px;
  text-align: center;
  background-image: linear-gradient(var(--C),var(--C));
  background-size: 0 2px, auto;
  background-repeat: no-repeat;
  background-position: center bottom;
  transition: all .3s ease-out;
  padding: 12px 0 12px 3px;
}

nav a:hover {
  background-size: 50% 2px, auto;
  opacity: 70%;
}

nav a.active {
  background-size: 50% 2px, auto;
}


.navRight {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  gap: 40px;
}

.navLeft {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  gap: 40px;
}

.navLinks {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  gap: 40px;
  font-family: popR;
  font-size: 12px;
  margin: 0 20px 0 20px;
}

.navLinks a {
  cursor: pointer;
  color: var(--C);
  letter-spacing: 3px;
  background-image: linear-gradient(var(--C),var(--C));
  background-size: 0 2px, auto;
  background-repeat: no-repeat;
  background-position: center bottom;
  transition: all .3s ease-out;
  padding: 12px 0 12px 3px;
}

.navLinks a:hover {
  background-size: 50% 2px, auto;
  opacity: 70%;
}

.navLinks a.active {
  background-size: 50% 2px, auto;
}

.navMenuIcon {
  cursor: pointer;
  display: none;
  font-size: 25px;
  z-index: 800;
}

.overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(255,255,255,0.4);
  z-index: 299;
}

.loaderOverlay {
  display: flex;
  align-items: center;
  justify-content: center;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: var(--C);
  z-index: 2990;
}

.loader {
  width: 100px;
  aspect-ratio: 1;
  border-radius: 50%;
  border: 8px solid;
  border-color: var(--C) white;
  animation: l1 1s infinite;
}
@keyframes l1 {to{transform: rotate(.5turn)}}

.heroSection {
  min-height: 100vh;
  height: fit-content;
  background: url('../SVG/heroBG.svg') no-repeat center center;
  background-blend-mode: soft-light;
  background-size: cover;
  background-position: center center;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-end;
}

.hsProfileSection {
  height: 500px;
  width: 100%;
  background-color: white;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
}

.hsColorDiv {
  width: 30%;
  height: 100%;
  background-color: var(--D);
  display: flex;
  align-items: center;
  justify-content: flex-end;
}

.hsContentDiv {
  width: 70%;
  padding: 40px 40px 40px 40px;
  margin-left: 100px;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
  gap: 10px;
}

.hsName {
  font-family: basBold;
  font-size: 50px;

}

.hsImageSection {
  background-color: grey;
  width: 300px;
  height: 400px;
  margin-right: -80px;
}

.hsImageSection img {
  object-fit: cover;
  width: 100%;
  height: 100%;
}

.axxButton {
  width: 250px;
  padding: 20px 0 20px 0;
  border: 2px solid var(--C);
  background: none;
  color: var(--C);
  letter-spacing: 5px;
  font-family: popM;
  cursor: pointer;
}


.hsDes {
  font-family: popR;
  font-size: 20px;
}

.hsPara {
  font-family: popR;
  font-size: 16px;
  line-height: 25px;
  text-align: justify;
  max-width: 600px;
}


footer {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 20px;
  padding: 40px;
  font-size: 18px;
  color: white;
  font-family: basReg;
  background-color: var(--C);
  text-align: center;
}

footer a {
  color: white;
}

.socialHandles {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  gap: 30px;
}

.socialHandles a {
  font-size: 25px;
}


@media (max-width: 1200px) {
  .navLinks {
    display: none;
  }
  .navMenuIcon {
    display: block;
  }

  header {
    padding: 25px;
  }

  .hsProfileSection {
    flex-direction: column;
    height: fit-content;
  }

  .hsImageSection {
    margin-right: 0;
    height: 400px;
    margin-top: -50px;
  }

  .hsContentDiv {
    align-items: center;
    justify-content: center;
    text-align: center;
    margin-left: 0;
    margin-top: 40px;
    gap: 30px;
  }

  .hsColorDiv {
    width: 60%;
    height: 300px;
    justify-content: center;
  }
}

@media (max-width: 992px) {
  .hsProfileSection {
    margin-top: 300px;
  }

  .hsColorDiv {
    width: 400px;
  }

  .hsContentDiv {
    padding: 40px 0 40px 0;
  }
}

@media (max-width: 768px) {
  .hsName {
    font-size: 38px;
  }
}